<?php

/**
 * Plugin Name: IM Mail Form
 * Description: Create customizable contact forms and send email notifications.
 * Author: KAZUTAKA WADA
 * Version: 1.0.3
 * Requires at least: 6.5
 * Requires PHP: 8.1
 * License: GPL v2 or later
 * License URI: https://www.gnu.org/licenses/gpl-2.0.html
 * Text Domain: im-mail-form
 * Domain Path: /languages
 */

/**
 * Copyright (c) 2026 KAZUTAKA WADA
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License version 2 or later.
 */

if (!defined('ABSPATH')) {
    exit;
}

define(
    'IMMF_VERSION',
    '1.0.0'
);

define(
    'IMMF_PATH',
    plugin_dir_path(__FILE__)
);

define(
    'IMMF_URL',
    plugin_dir_url(__FILE__)
);

define(
    'IMMF_DB_VERSION',
    '1.0.0'
);

require_once IMMF_PATH
    . 'includes/init.php';

register_activation_hook(
    __FILE__,
    'immf_activate_mail_logs'
);

register_deactivation_hook(
    __FILE__,
    'immf_deactivate_mail_logs'
);
